- Qt 5.15
- Qt Widgets
- C++ Classes
- QTreeWidgetItem
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QTreeWidgetItem

The following members of class QTreeWidgetItem are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QColor | backgroundColor(int column) const
`(obsolete)` void | setBackgroundColor(int column, const QColor &color)
`(obsolete)` void | setTextColor(int column, const QColor &color)
`(obsolete)` QColor | textColor(int column) const

## Member Function Documentation

### QColor QTreeWidgetItem::backgroundColor(int column) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function is deprecated. Use background() instead.

See also setBackgroundColor().

### void QTreeWidgetItem::setBackgroundColor(int column, const QColor &color)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function is deprecated. Use setBackground() instead.

See also backgroundColor().

### void QTreeWidgetItem::setTextColor(int column, const QColor &color)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function is deprecated. Use setForeground() instead.

See also textColor().

### QColor QTreeWidgetItem::textColor(int column) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function is deprecated. Use foreground() instead.

See also setTextColor().